1#! /bin/sh
2# Generated by configure.
3# Run this file to recreate the current configuration.
4# Compiler output produced by configure, useful for debugging
5# configure, is in config.log if it exists.
6
7debug=false
8SHELL=${CONFIG_SHELL-/bin/sh}
9## --------------------- ##
10## M4sh Initialization.  ##
11## --------------------- ##
12
13# Be Bourne compatible
14if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
15  emulate sh
16  NULLCMD=:
17  # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
18  # is contrary to our usage.  Disable this feature.
19  alias -g '${1+"$@"}'='"$@"'
20elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
21  set -o posix
22fi
23
24# Support unset when possible.
25if (FOO=FOO; unset FOO) >/dev/null 2>&1; then
26  as_unset=unset
27else
28  as_unset=false
29fi
30
31
32# Work around bugs in pre-3.0 UWIN ksh.
33$as_unset ENV MAIL MAILPATH
34PS1='$ '
35PS2='> '
36PS4='+ '
37
38# NLS nuisances.
39for as_var in LANG LANGUAGE LC_ALL LC_COLLATE LC_CTYPE LC_NUMERIC LC_MESSAGES LC_TIME
40do
41  if (set +x; test -n "`(eval $as_var=C; export $as_var) 2>&1`"); then
42    eval $as_var=C; export $as_var
43  else
44    $as_unset $as_var
45  fi
46done
47
48# Required to use basename.
49if expr a : '\(a\)' >/dev/null 2>&1; then
50  as_expr=expr
51else
52  as_expr=false
53fi
54
55if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
56  as_basename=basename
57else
58  as_basename=false
59fi
60
61
62# Name of the executable.
63as_me=`$as_basename "$0" ||
64$as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
65	 X"$0" : 'X\(//\)$' \| \
66	 X"$0" : 'X\(/\)$' \| \
67	 .     : '\(.\)' 2>/dev/null ||
68echo X/"$0" |
69    sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
70  	  /^X\/\(\/\/\)$/{ s//\1/; q; }
71  	  /^X\/\(\/\).*/{ s//\1/; q; }
72  	  s/.*/./; q'`
73
74
75# PATH needs CR, and LINENO needs CR and PATH.
76# Avoid depending upon Character Ranges.
77as_cr_letters='abcdefghijklmnopqrstuvwxyz'
78as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
79as_cr_Letters=$as_cr_letters$as_cr_LETTERS
80as_cr_digits='0123456789'
81as_cr_alnum=$as_cr_Letters$as_cr_digits
82
83# The user is always right.
84if test "${PATH_SEPARATOR+set}" != set; then
85  echo "#! /bin/sh" >conftest.sh
86  echo  "exit 0"   >>conftest.sh
87  chmod +x conftest.sh
88  if (PATH="/nonexistent;."; conftest.sh) >/dev/null 2>&1; then
89    PATH_SEPARATOR=';'
90  else
91    PATH_SEPARATOR=:
92  fi
93  rm -f conftest.sh
94fi
95
96
97  as_lineno_1=$LINENO
98  as_lineno_2=$LINENO
99  as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
100  test "x$as_lineno_1" != "x$as_lineno_2" &&
101  test "x$as_lineno_3"  = "x$as_lineno_2"  || {
102  # Find who we are.  Look in the path if we contain no path at all
103  # relative or not.
104  case $0 in
105    *[\\/]* ) as_myself=$0 ;;
106    *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
107for as_dir in $PATH
108do
109  IFS=$as_save_IFS
110  test -z "$as_dir" && as_dir=.
111  test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
112done
113
114       ;;
115  esac
116  # We did not find ourselves, most probably we were run as `sh COMMAND'
117  # in which case we are not to be found in the path.
118  if test "x$as_myself" = x; then
119    as_myself=$0
120  fi
121  if test ! -f "$as_myself"; then
122    { { echo "$as_me:$LINENO: error: cannot find myself; rerun with an absolute path" >&5
123echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2;}
124   { (exit 1); exit 1; }; }
125  fi
126  case $CONFIG_SHELL in
127  '')
128    as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
129for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
130do
131  IFS=$as_save_IFS
132  test -z "$as_dir" && as_dir=.
133  for as_base in sh bash ksh sh5; do
134	 case $as_dir in
135	 /*)
136	   if ("$as_dir/$as_base" -c '
137  as_lineno_1=$LINENO
138  as_lineno_2=$LINENO
139  as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
140  test "x$as_lineno_1" != "x$as_lineno_2" &&
141  test "x$as_lineno_3"  = "x$as_lineno_2" ') 2>/dev/null; then
142	     $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
143	     $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
144	     CONFIG_SHELL=$as_dir/$as_base
145	     export CONFIG_SHELL
146	     exec "$CONFIG_SHELL" "$0" ${1+"$@"}
147	   fi;;
148	 esac
149       done
150done
151;;
152  esac
153
154  # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
155  # uniformly replaced by the line number.  The first 'sed' inserts a
156  # line-number line before each line; the second 'sed' does the real
157  # work.  The second script uses 'N' to pair each line-number line
158  # with the numbered line, and appends trailing '-' during
159  # substitution so that $LINENO is not a special case at line end.
160  # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
161  # second 'sed' script.  Blame Lee E. McMahon for sed's syntax.  :-)
162  sed '=' <$as_myself |
163    sed '
164      N
165      s,$,-,
166      : loop
167      s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
168      t loop
169      s,-$,,
170      s,^['$as_cr_digits']*\n,,
171    ' >$as_me.lineno &&
172  chmod +x $as_me.lineno ||
173    { { echo "$as_me:$LINENO: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&5
174echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2;}
175   { (exit 1); exit 1; }; }
176
177  # Don't try to exec as it changes $[0], causing all sort of problems
178  # (the dirname of $[0] is not the place where we might find the
179  # original and so on.  Autoconf is especially sensible to this).
180  . ./$as_me.lineno
181  # Exit status is that of the last command.
182  exit
183}
184
185
186case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
187  *c*,-n*) ECHO_N= ECHO_C='
188' ECHO_T='	' ;;
189  *c*,*  ) ECHO_N=-n ECHO_C= ECHO_T= ;;
190  *)       ECHO_N= ECHO_C='\c' ECHO_T= ;;
191esac
192
193if expr a : '\(a\)' >/dev/null 2>&1; then
194  as_expr=expr
195else
196  as_expr=false
197fi
198
199rm -f conf$$ conf$$.exe conf$$.file
200echo >conf$$.file
201if ln -s conf$$.file conf$$ 2>/dev/null; then
202  # We could just check for DJGPP; but this test a) works b) is more generic
203  # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
204  if test -f conf$$.exe; then
205    # Don't use ln at all; we don't have any links
206    as_ln_s='cp -p'
207  else
208    as_ln_s='ln -s'
209  fi
210elif ln conf$$.file conf$$ 2>/dev/null; then
211  as_ln_s=ln
212else
213  as_ln_s='cp -p'
214fi
215rm -f conf$$ conf$$.exe conf$$.file
216
217if mkdir -p . 2>/dev/null; then
218  as_mkdir_p=:
219else
220  as_mkdir_p=false
221fi
222
223as_executable_p="test -f"
224
225# Sed expression to map a string onto a valid CPP name.
226as_tr_cpp="sed y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g"
227
228# Sed expression to map a string onto a valid variable name.
229as_tr_sh="sed y%*+%pp%;s%[^_$as_cr_alnum]%_%g"
230
231
232# IFS
233# We need space, tab and new line, in precisely that order.
234as_nl='
235'
236IFS=" 	$as_nl"
237
238# CDPATH.
239$as_unset CDPATH
240
241exec 6>&1
242
243# Open the log real soon, to keep \$[0] and so on meaningful, and to
244# report actual input values of CONFIG_FILES etc. instead of their
245# values after options handling.  Logging --version etc. is OK.
246exec 5>>config.log
247{
248  echo
249  sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
250## Running $as_me. ##
251_ASBOX
252} >&5
253cat >&5 <<_CSEOF
254
255This file was extended by gdbm $as_me 1.8.3, which was
256generated by GNU Autoconf 2.54.  Invocation command line was
257
258  CONFIG_FILES    = $CONFIG_FILES
259  CONFIG_HEADERS  = $CONFIG_HEADERS
260  CONFIG_LINKS    = $CONFIG_LINKS
261  CONFIG_COMMANDS = $CONFIG_COMMANDS
262  $ $0 $@
263
264_CSEOF
265echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
266echo >&5
267config_files=" Makefile"
268config_headers=" autoconf.h"
269
270ac_cs_usage="\
271\`$as_me' instantiates files from templates according to the
272current configuration.
273
274Usage: $0 [OPTIONS] [FILE]...
275
276  -h, --help       print this help, then exit
277  -V, --version    print version number, then exit
278  -d, --debug      don't remove temporary files
279      --recheck    update $as_me by reconfiguring in the same conditions
280  --file=FILE[:TEMPLATE]
281                   instantiate the configuration file FILE
282  --header=FILE[:TEMPLATE]
283                   instantiate the configuration header FILE
284
285Configuration files:
286$config_files
287
288Configuration headers:
289$config_headers
290
291Report bugs to <bug-autoconf@gnu.org>."
292ac_cs_version="\
293gdbm config.status 1.8.3
294configured by ./configure, generated by GNU Autoconf 2.54,
295  with options \"'--host=mipsel-uclibc-linux' '--build=mipsel-uclibc-linux-gnu26' '--target=mipsel-uclibc-linux-gnu26' 'CC=mipsel-linux-uclibc-gcc' 'CXX=mipsel-linux-uclibc-g++' '--disable-nls' '--enable-shared' '--enable-static' 'build_alias=mipsel-uclibc-linux-gnu26' 'host_alias=mipsel-uclibc-linux' 'target_alias=mipsel-uclibc-linux-gnu26'\"
296
297Copyright 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001
298Free Software Foundation, Inc.
299This config.status script is free software; the Free Software Foundation
300gives unlimited permission to copy, distribute and modify it."
301srcdir=.
302INSTALL="/usr/bin/install -c"
303# If no file are specified by the user, then we need to provide default
304# value.  By we need to know if files were specified by the user.
305ac_need_defaults=:
306while test $# != 0
307do
308  case $1 in
309  --*=*)
310    ac_option=`expr "x$1" : 'x\([^=]*\)='`
311    ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
312    ac_shift=:
313    ;;
314  -*)
315    ac_option=$1
316    ac_optarg=$2
317    ac_shift=shift
318    ;;
319  *) # This is not an option, so the user has probably given explicit
320     # arguments.
321     ac_option=$1
322     ac_need_defaults=false;;
323  esac
324
325  case $ac_option in
326  # Handling of the options.
327  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
328    echo "running /bin/sh ./configure " '--host=mipsel-uclibc-linux' '--build=mipsel-uclibc-linux-gnu26' '--target=mipsel-uclibc-linux-gnu26' 'CC=mipsel-linux-uclibc-gcc' 'CXX=mipsel-linux-uclibc-g++' '--disable-nls' '--enable-shared' '--enable-static' 'build_alias=mipsel-uclibc-linux-gnu26' 'host_alias=mipsel-uclibc-linux' 'target_alias=mipsel-uclibc-linux-gnu26' " --no-create --no-recursion"
329    exec /bin/sh ./configure '--host=mipsel-uclibc-linux' '--build=mipsel-uclibc-linux-gnu26' '--target=mipsel-uclibc-linux-gnu26' 'CC=mipsel-linux-uclibc-gcc' 'CXX=mipsel-linux-uclibc-g++' '--disable-nls' '--enable-shared' '--enable-static' 'build_alias=mipsel-uclibc-linux-gnu26' 'host_alias=mipsel-uclibc-linux' 'target_alias=mipsel-uclibc-linux-gnu26' --no-create --no-recursion ;;
330  --version | --vers* | -V )
331    echo "$ac_cs_version"; exit 0 ;;
332  --he | --h)
333    # Conflict between --help and --header
334    { { echo "$as_me:$LINENO: error: ambiguous option: $1
335Try \`$0 --help' for more information." >&5
336echo "$as_me: error: ambiguous option: $1
337Try \`$0 --help' for more information." >&2;}
338   { (exit 1); exit 1; }; };;
339  --help | --hel | -h )
340    echo "$ac_cs_usage"; exit 0 ;;
341  --debug | --d* | -d )
342    debug=: ;;
343  --file | --fil | --fi | --f )
344    $ac_shift
345    CONFIG_FILES="$CONFIG_FILES $ac_optarg"
346    ac_need_defaults=false;;
347  --header | --heade | --head | --hea )
348    $ac_shift
349    CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
350    ac_need_defaults=false;;
351
352  # This is an error.
353  -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
354Try \`$0 --help' for more information." >&5
355echo "$as_me: error: unrecognized option: $1
356Try \`$0 --help' for more information." >&2;}
357   { (exit 1); exit 1; }; } ;;
358
359  *) ac_config_targets="$ac_config_targets $1" ;;
360
361  esac
362  shift
363done
364
365for ac_config_target in $ac_config_targets
366do
367  case "$ac_config_target" in
368  # Handling of arguments.
369  "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
370  "autoconf.h" ) CONFIG_HEADERS="$CONFIG_HEADERS autoconf.h" ;;
371  *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
372echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
373   { (exit 1); exit 1; }; };;
374  esac
375done
376
377# If the user did not use the arguments to specify the items to instantiate,
378# then the envvar interface is used.  Set only those that are not.
379# We use the long form for the default assignment because of an extremely
380# bizarre bug on SunOS 4.1.3.
381if $ac_need_defaults; then
382  test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
383  test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
384fi
385
386# Create a temporary directory, and hook for its removal unless debugging.
387$debug ||
388{
389  trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
390  trap '{ (exit 1); exit 1; }' 1 2 13 15
391}
392
393# Create a (secure) tmp directory for tmp files.
394: ${TMPDIR=/tmp}
395{
396  tmp=`(umask 077 && mktemp -d -q "$TMPDIR/csXXXXXX") 2>/dev/null` &&
397  test -n "$tmp" && test -d "$tmp"
398}  ||
399{
400  tmp=$TMPDIR/cs$$-$RANDOM
401  (umask 077 && mkdir $tmp)
402} ||
403{
404   echo "$me: cannot create a temporary directory in $TMPDIR" >&2
405   { (exit 1); exit 1; }
406}
407
408
409#
410# CONFIG_FILES section.
411#
412
413# No need to generate the scripts if there are no CONFIG_FILES.
414# This happens for instance when ./config.status config.h
415if test -n "$CONFIG_FILES"; then
416  # Protect against being on the right side of a sed subst in config.status.
417  sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
418   s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
419s,@SHELL@,/bin/sh,;t t
420s,@PATH_SEPARATOR@,:,;t t
421s,@PACKAGE_NAME@,gdbm,;t t
422s,@PACKAGE_TARNAME@,gdbm,;t t
423s,@PACKAGE_VERSION@,1.8.3,;t t
424s,@PACKAGE_STRING@,gdbm 1.8.3,;t t
425s,@PACKAGE_BUGREPORT@,,;t t
426s,@exec_prefix@,${prefix},;t t
427s,@prefix@,/usr/local,;t t
428s,@program_transform_name@,s,x,x,,;t t
429s,@bindir@,${exec_prefix}/bin,;t t
430s,@sbindir@,${exec_prefix}/sbin,;t t
431s,@libexecdir@,${exec_prefix}/libexec,;t t
432s,@datadir@,${prefix}/share,;t t
433s,@sysconfdir@,${prefix}/etc,;t t
434s,@sharedstatedir@,${prefix}/com,;t t
435s,@localstatedir@,${prefix}/var,;t t
436s,@libdir@,${exec_prefix}/lib,;t t
437s,@includedir@,${prefix}/include,;t t
438s,@oldincludedir@,/usr/include,;t t
439s,@infodir@,${prefix}/info,;t t
440s,@mandir@,${prefix}/man,;t t
441s,@build_alias@,mipsel-uclibc-linux-gnu26,;t t
442s,@host_alias@,mipsel-uclibc-linux,;t t
443s,@target_alias@,mipsel-uclibc-linux-gnu26,;t t
444s,@DEFS@,-DHAVE_CONFIG_H,;t t
445s,@ECHO_C@,,;t t
446s,@ECHO_N@,-n,;t t
447s,@ECHO_T@,,;t t
448s,@LIBS@,,;t t
449s,@CC@,mipsel-linux-uclibc-gcc,;t t
450s,@CFLAGS@,-g -O2,;t t
451s,@LDFLAGS@,,;t t
452s,@CPPFLAGS@,,;t t
453s,@ac_ct_CC@,,;t t
454s,@EXEEXT@,,;t t
455s,@OBJEXT@,o,;t t
456s,@CPP@,mipsel-linux-uclibc-gcc -E,;t t
457s,@INSTALL_PROGRAM@,${INSTALL},;t t
458s,@INSTALL_SCRIPT@,${INSTALL},;t t
459s,@INSTALL_DATA@,${INSTALL} -m 644,;t t
460s,@build@,mipsel-uclibc-linux-gnu26,;t t
461s,@build_cpu@,mipsel,;t t
462s,@build_vendor@,uclibc,;t t
463s,@build_os@,linux-gnu26,;t t
464s,@host@,mipsel-uclibc-linux-gnu,;t t
465s,@host_cpu@,mipsel,;t t
466s,@host_vendor@,uclibc,;t t
467s,@host_os@,linux-gnu,;t t
468s,@LN_S@,ln -s,;t t
469s,@ECHO@,echo,;t t
470s,@RANLIB@,ranlib,;t t
471s,@ac_ct_RANLIB@,ranlib,;t t
472s,@STRIP@,strip,;t t
473s,@ac_ct_STRIP@,strip,;t t
474s,@EGREP@,grep -E,;t t
475s,@LIBTOOL@,$(SHELL) $(top_builddir)/libtool,;t t
476s,@LIBOBJS@,,;t t
477s,@LTLIBOBJS@,,;t t
478CEOF
479
480  # Split the substitutions into bite-sized pieces for seds with
481  # small command number limits, like on Digital OSF/1 and HP-UX.
482  ac_max_sed_lines=48
483  ac_sed_frag=1 # Number of current file.
484  ac_beg=1 # First line for current file.
485  ac_end=$ac_max_sed_lines # Line after last line for current file.
486  ac_more_lines=:
487  ac_sed_cmds=
488  while $ac_more_lines; do
489    if test $ac_beg -gt 1; then
490      sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
491    else
492      sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
493    fi
494    if test ! -s $tmp/subs.frag; then
495      ac_more_lines=false
496    else
497      # The purpose of the label and of the branching condition is to
498      # speed up the sed processing (if there are no `@' at all, there
499      # is no need to browse any of the substitutions).
500      # These are the two extra sed commands mentioned above.
501      (echo ':t
502  /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
503      if test -z "$ac_sed_cmds"; then
504  	ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
505      else
506  	ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
507      fi
508      ac_sed_frag=`expr $ac_sed_frag + 1`
509      ac_beg=$ac_end
510      ac_end=`expr $ac_end + $ac_max_sed_lines`
511    fi
512  done
513  if test -z "$ac_sed_cmds"; then
514    ac_sed_cmds=cat
515  fi
516fi # test -n "$CONFIG_FILES"
517
518for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
519  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
520  case $ac_file in
521  - | *:- | *:-:* ) # input from stdin
522        cat >$tmp/stdin
523        ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
524        ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
525  *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
526        ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
527  * )   ac_file_in=$ac_file.in ;;
528  esac
529
530  # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
531  ac_dir=`(dirname "$ac_file") 2>/dev/null ||
532$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
533         X"$ac_file" : 'X\(//\)[^/]' \| \
534         X"$ac_file" : 'X\(//\)$' \| \
535         X"$ac_file" : 'X\(/\)' \| \
536         .     : '\(.\)' 2>/dev/null ||
537echo X"$ac_file" |
538    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
539  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
540  	  /^X\(\/\/\)$/{ s//\1/; q; }
541  	  /^X\(\/\).*/{ s//\1/; q; }
542  	  s/.*/./; q'`
543  { if $as_mkdir_p; then
544    mkdir -p "$ac_dir"
545  else
546    as_dir="$ac_dir"
547    as_dirs=
548    while test ! -d "$as_dir"; do
549      as_dirs="$as_dir $as_dirs"
550      as_dir=`(dirname "$as_dir") 2>/dev/null ||
551$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
552         X"$as_dir" : 'X\(//\)[^/]' \| \
553         X"$as_dir" : 'X\(//\)$' \| \
554         X"$as_dir" : 'X\(/\)' \| \
555         .     : '\(.\)' 2>/dev/null ||
556echo X"$as_dir" |
557    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
558  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
559  	  /^X\(\/\/\)$/{ s//\1/; q; }
560  	  /^X\(\/\).*/{ s//\1/; q; }
561  	  s/.*/./; q'`
562    done
563    test ! -n "$as_dirs" || mkdir $as_dirs
564  fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
565echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
566   { (exit 1); exit 1; }; }; }
567
568  ac_builddir=.
569
570if test "$ac_dir" != .; then
571  ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
572  # A "../" for each directory in $ac_dir_suffix.
573  ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
574else
575  ac_dir_suffix= ac_top_builddir=
576fi
577
578case $srcdir in
579  .)  # No --srcdir option.  We are building in place.
580    ac_srcdir=.
581    if test -z "$ac_top_builddir"; then
582       ac_top_srcdir=.
583    else
584       ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
585    fi ;;
586  [\\/]* | ?:[\\/]* )  # Absolute path.
587    ac_srcdir=$srcdir$ac_dir_suffix;
588    ac_top_srcdir=$srcdir ;;
589  *) # Relative path.
590    ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
591    ac_top_srcdir=$ac_top_builddir$srcdir ;;
592esac
593# Don't blindly perform a `cd "$ac_dir"/$ac_foo && pwd` since $ac_foo can be
594# absolute.
595ac_abs_builddir=`cd "$ac_dir" && cd $ac_builddir && pwd`
596ac_abs_top_builddir=`cd "$ac_dir" && cd ${ac_top_builddir}. && pwd`
597ac_abs_srcdir=`cd "$ac_dir" && cd $ac_srcdir && pwd`
598ac_abs_top_srcdir=`cd "$ac_dir" && cd $ac_top_srcdir && pwd`
599
600
601  case $INSTALL in
602  [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
603  *) ac_INSTALL=$ac_top_builddir$INSTALL ;;
604  esac
605
606  if test x"$ac_file" != x-; then
607    { echo "$as_me:$LINENO: creating $ac_file" >&5
608echo "$as_me: creating $ac_file" >&6;}
609    rm -f "$ac_file"
610  fi
611  # Let's still pretend it is `configure' which instantiates (i.e., don't
612  # use $as_me), people would be surprised to read:
613  #    /* config.h.  Generated by config.status.  */
614  if test x"$ac_file" = x-; then
615    configure_input=
616  else
617    configure_input="$ac_file.  "
618  fi
619  configure_input=$configure_input"Generated from `echo $ac_file_in |
620                                     sed 's,.*/,,'` by configure."
621
622  # First look for the input files in the build tree, otherwise in the
623  # src tree.
624  ac_file_inputs=`IFS=:
625    for f in $ac_file_in; do
626      case $f in
627      -) echo $tmp/stdin ;;
628      [\\/$]*)
629         # Absolute (can't be DOS-style, as IFS=:)
630         test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
631echo "$as_me: error: cannot find input file: $f" >&2;}
632   { (exit 1); exit 1; }; }
633         echo $f;;
634      *) # Relative
635         if test -f "$f"; then
636           # Build tree
637           echo $f
638         elif test -f "$srcdir/$f"; then
639           # Source tree
640           echo $srcdir/$f
641         else
642           # /dev/null tree
643           { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
644echo "$as_me: error: cannot find input file: $f" >&2;}
645   { (exit 1); exit 1; }; }
646         fi;;
647      esac
648    done` || { (exit 1); exit 1; }
649  sed "/^[ 	]*VPATH[ 	]*=/{
650s/:*\$(srcdir):*/:/;
651s/:*\${srcdir}:*/:/;
652s/:*@srcdir@:*/:/;
653s/^\([^=]*=[ 	]*\):*/\1/;
654s/:*$//;
655s/^[^=]*=[ 	]*$//;
656}
657
658:t
659/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
660s,@configure_input@,$configure_input,;t t
661s,@srcdir@,$ac_srcdir,;t t
662s,@abs_srcdir@,$ac_abs_srcdir,;t t
663s,@top_srcdir@,$ac_top_srcdir,;t t
664s,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t
665s,@builddir@,$ac_builddir,;t t
666s,@abs_builddir@,$ac_abs_builddir,;t t
667s,@top_builddir@,$ac_top_builddir,;t t
668s,@abs_top_builddir@,$ac_abs_top_builddir,;t t
669s,@INSTALL@,$ac_INSTALL,;t t
670" $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
671  rm -f $tmp/stdin
672  if test x"$ac_file" != x-; then
673    mv $tmp/out $ac_file
674  else
675    cat $tmp/out
676    rm -f $tmp/out
677  fi
678
679done
680
681#
682# CONFIG_HEADER section.
683#
684
685# These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
686# NAME is the cpp macro being defined and VALUE is the value it is being given.
687#
688# ac_d sets the value in "#define NAME VALUE" lines.
689ac_dA='s,^\([ 	]*\)#\([ 	]*define[ 	][ 	]*\)'
690ac_dB='[ 	].*$,\1#\2'
691ac_dC=' '
692ac_dD=',;t'
693# ac_u turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
694ac_uA='s,^\([ 	]*\)#\([ 	]*\)undef\([ 	][ 	]*\)'
695ac_uB='$,\1#\2define\3'
696ac_uC=' '
697ac_uD=',;t'
698
699for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
700  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
701  case $ac_file in
702  - | *:- | *:-:* ) # input from stdin
703        cat >$tmp/stdin
704        ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
705        ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
706  *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
707        ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
708  * )   ac_file_in=$ac_file.in ;;
709  esac
710
711  test x"$ac_file" != x- && { echo "$as_me:$LINENO: creating $ac_file" >&5
712echo "$as_me: creating $ac_file" >&6;}
713
714  # First look for the input files in the build tree, otherwise in the
715  # src tree.
716  ac_file_inputs=`IFS=:
717    for f in $ac_file_in; do
718      case $f in
719      -) echo $tmp/stdin ;;
720      [\\/$]*)
721         # Absolute (can't be DOS-style, as IFS=:)
722         test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
723echo "$as_me: error: cannot find input file: $f" >&2;}
724   { (exit 1); exit 1; }; }
725         echo $f;;
726      *) # Relative
727         if test -f "$f"; then
728           # Build tree
729           echo $f
730         elif test -f "$srcdir/$f"; then
731           # Source tree
732           echo $srcdir/$f
733         else
734           # /dev/null tree
735           { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
736echo "$as_me: error: cannot find input file: $f" >&2;}
737   { (exit 1); exit 1; }; }
738         fi;;
739      esac
740    done` || { (exit 1); exit 1; }
741  # Remove the trailing spaces.
742  sed 's/[ 	]*$//' $ac_file_inputs >$tmp/in
743
744  # Handle all the #define templates only if necessary.
745  if grep "^[ 	]*#[ 	]*define" $tmp/in >/dev/null; then
746  # If there are no defines, we may have an empty if/fi
747  :
748  cat >$tmp/defines.sed <<CEOF
749/^[ 	]*#[ 	]*define/!b
750t clr
751: clr
752${ac_dA}PACKAGE_NAME${ac_dB}PACKAGE_NAME${ac_dC}"gdbm"${ac_dD}
753${ac_dA}PACKAGE_TARNAME${ac_dB}PACKAGE_TARNAME${ac_dC}"gdbm"${ac_dD}
754${ac_dA}PACKAGE_VERSION${ac_dB}PACKAGE_VERSION${ac_dC}"1.8.3"${ac_dD}
755${ac_dA}PACKAGE_STRING${ac_dB}PACKAGE_STRING${ac_dC}"gdbm 1.8.3"${ac_dD}
756${ac_dA}PACKAGE_BUGREPORT${ac_dB}PACKAGE_BUGREPORT${ac_dC}""${ac_dD}
757${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD}
758${ac_dA}HAVE_SYS_TYPES_H${ac_dB}HAVE_SYS_TYPES_H${ac_dC}1${ac_dD}
759${ac_dA}HAVE_SYS_STAT_H${ac_dB}HAVE_SYS_STAT_H${ac_dC}1${ac_dD}
760${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
761${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
762${ac_dA}HAVE_MEMORY_H${ac_dB}HAVE_MEMORY_H${ac_dC}1${ac_dD}
763${ac_dA}HAVE_STRINGS_H${ac_dB}HAVE_STRINGS_H${ac_dC}1${ac_dD}
764${ac_dA}HAVE_INTTYPES_H${ac_dB}HAVE_INTTYPES_H${ac_dC}1${ac_dD}
765${ac_dA}HAVE_STDINT_H${ac_dB}HAVE_STDINT_H${ac_dC}1${ac_dD}
766${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
767${ac_dA}HAVE_DLFCN_H${ac_dB}HAVE_DLFCN_H${ac_dC}1${ac_dD}
768${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
769${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
770${ac_dA}HAVE_SYS_FILE_H${ac_dB}HAVE_SYS_FILE_H${ac_dC}1${ac_dD}
771${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
772${ac_dA}HAVE_FCNTL_H${ac_dB}HAVE_FCNTL_H${ac_dC}1${ac_dD}
773${ac_dA}HAVE_SYS_TYPES_H${ac_dB}HAVE_SYS_TYPES_H${ac_dC}1${ac_dD}
774${ac_dA}HAVE_RENAME${ac_dB}HAVE_RENAME${ac_dC}1${ac_dD}
775${ac_dA}HAVE_FTRUNCATE${ac_dB}HAVE_FTRUNCATE${ac_dC}1${ac_dD}
776${ac_dA}HAVE_FLOCK${ac_dB}HAVE_FLOCK${ac_dC}1${ac_dD}
777${ac_dA}HAVE_BCOPY${ac_dB}HAVE_BCOPY${ac_dC}1${ac_dD}
778${ac_dA}HAVE_FSYNC${ac_dB}HAVE_FSYNC${ac_dC}1${ac_dD}
779${ac_dA}HAVE_GETOPT${ac_dB}HAVE_GETOPT${ac_dC}1${ac_dD}
780${ac_dA}HAVE_STRUCT_STAT_ST_BLKSIZE${ac_dB}HAVE_STRUCT_STAT_ST_BLKSIZE${ac_dC}1${ac_dD}
781CEOF
782  sed -f $tmp/defines.sed $tmp/in >$tmp/out
783  rm -f $tmp/in
784  mv $tmp/out $tmp/in
785
786  fi # grep
787
788  # Handle all the #undef templates
789  cat >$tmp/undefs.sed <<CEOF
790/^[ 	]*#[ 	]*undef/!b
791t clr
792: clr
793${ac_uA}PACKAGE_NAME${ac_uB}PACKAGE_NAME${ac_uC}"gdbm"${ac_uD}
794${ac_uA}PACKAGE_TARNAME${ac_uB}PACKAGE_TARNAME${ac_uC}"gdbm"${ac_uD}
795${ac_uA}PACKAGE_VERSION${ac_uB}PACKAGE_VERSION${ac_uC}"1.8.3"${ac_uD}
796${ac_uA}PACKAGE_STRING${ac_uB}PACKAGE_STRING${ac_uC}"gdbm 1.8.3"${ac_uD}
797${ac_uA}PACKAGE_BUGREPORT${ac_uB}PACKAGE_BUGREPORT${ac_uC}""${ac_uD}
798${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD}
799${ac_uA}HAVE_SYS_TYPES_H${ac_uB}HAVE_SYS_TYPES_H${ac_uC}1${ac_uD}
800${ac_uA}HAVE_SYS_STAT_H${ac_uB}HAVE_SYS_STAT_H${ac_uC}1${ac_uD}
801${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
802${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
803${ac_uA}HAVE_MEMORY_H${ac_uB}HAVE_MEMORY_H${ac_uC}1${ac_uD}
804${ac_uA}HAVE_STRINGS_H${ac_uB}HAVE_STRINGS_H${ac_uC}1${ac_uD}
805${ac_uA}HAVE_INTTYPES_H${ac_uB}HAVE_INTTYPES_H${ac_uC}1${ac_uD}
806${ac_uA}HAVE_STDINT_H${ac_uB}HAVE_STDINT_H${ac_uC}1${ac_uD}
807${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
808${ac_uA}HAVE_DLFCN_H${ac_uB}HAVE_DLFCN_H${ac_uC}1${ac_uD}
809${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
810${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
811${ac_uA}HAVE_SYS_FILE_H${ac_uB}HAVE_SYS_FILE_H${ac_uC}1${ac_uD}
812${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
813${ac_uA}HAVE_FCNTL_H${ac_uB}HAVE_FCNTL_H${ac_uC}1${ac_uD}
814${ac_uA}HAVE_SYS_TYPES_H${ac_uB}HAVE_SYS_TYPES_H${ac_uC}1${ac_uD}
815${ac_uA}HAVE_RENAME${ac_uB}HAVE_RENAME${ac_uC}1${ac_uD}
816${ac_uA}HAVE_FTRUNCATE${ac_uB}HAVE_FTRUNCATE${ac_uC}1${ac_uD}
817${ac_uA}HAVE_FLOCK${ac_uB}HAVE_FLOCK${ac_uC}1${ac_uD}
818${ac_uA}HAVE_BCOPY${ac_uB}HAVE_BCOPY${ac_uC}1${ac_uD}
819${ac_uA}HAVE_FSYNC${ac_uB}HAVE_FSYNC${ac_uC}1${ac_uD}
820${ac_uA}HAVE_GETOPT${ac_uB}HAVE_GETOPT${ac_uC}1${ac_uD}
821${ac_uA}HAVE_STRUCT_STAT_ST_BLKSIZE${ac_uB}HAVE_STRUCT_STAT_ST_BLKSIZE${ac_uC}1${ac_uD}
822s,^[ 	]*#[ 	]*undef[ 	][ 	]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
823CEOF
824  sed -f $tmp/undefs.sed $tmp/in >$tmp/out
825  rm -f $tmp/in
826  mv $tmp/out $tmp/in
827
828  # Let's still pretend it is `configure' which instantiates (i.e., don't
829  # use $as_me), people would be surprised to read:
830  #    /* config.h.  Generated by config.status.  */
831  if test x"$ac_file" = x-; then
832    echo "/* Generated by configure.  */" >$tmp/config.h
833  else
834    echo "/* $ac_file.  Generated by configure.  */" >$tmp/config.h
835  fi
836  cat $tmp/in >>$tmp/config.h
837  rm -f $tmp/in
838  if test x"$ac_file" != x-; then
839    if cmp -s $ac_file $tmp/config.h 2>/dev/null; then
840      { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
841echo "$as_me: $ac_file is unchanged" >&6;}
842    else
843      ac_dir=`(dirname "$ac_file") 2>/dev/null ||
844$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
845         X"$ac_file" : 'X\(//\)[^/]' \| \
846         X"$ac_file" : 'X\(//\)$' \| \
847         X"$ac_file" : 'X\(/\)' \| \
848         .     : '\(.\)' 2>/dev/null ||
849echo X"$ac_file" |
850    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
851  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
852  	  /^X\(\/\/\)$/{ s//\1/; q; }
853  	  /^X\(\/\).*/{ s//\1/; q; }
854  	  s/.*/./; q'`
855      { if $as_mkdir_p; then
856    mkdir -p "$ac_dir"
857  else
858    as_dir="$ac_dir"
859    as_dirs=
860    while test ! -d "$as_dir"; do
861      as_dirs="$as_dir $as_dirs"
862      as_dir=`(dirname "$as_dir") 2>/dev/null ||
863$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
864         X"$as_dir" : 'X\(//\)[^/]' \| \
865         X"$as_dir" : 'X\(//\)$' \| \
866         X"$as_dir" : 'X\(/\)' \| \
867         .     : '\(.\)' 2>/dev/null ||
868echo X"$as_dir" |
869    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
870  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
871  	  /^X\(\/\/\)$/{ s//\1/; q; }
872  	  /^X\(\/\).*/{ s//\1/; q; }
873  	  s/.*/./; q'`
874    done
875    test ! -n "$as_dirs" || mkdir $as_dirs
876  fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
877echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
878   { (exit 1); exit 1; }; }; }
879
880      rm -f $ac_file
881      mv $tmp/config.h $ac_file
882    fi
883  else
884    cat $tmp/config.h
885    rm -f $tmp/config.h
886  fi
887done
888
889{ (exit 0); exit 0; }
890